<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head> 
        <title>Usuario</title>
    </h:head>
    <h:body>

        <ui:include src="menu.xhtml"/>
        <p:growl id="mensaje" />
        <h:form id="formUsuario"> 
            <p:panel id="basic" header="Usuario" style="margin-bottom:20px"> 
                <h:panelGrid columns="2"> 
                    <p:outputLabel value="Usuario"/>
                    <p:inputText value="#{usuarioController.usuario.usuario}"/>
                    <p:outputLabel value="Clave"/>
                    <p:password value="#{usuarioController.usuario.clave}"/>
                    <p:outputLabel for="onemenu" value="Tipo"/>
                    <p:selectOneMenu id="onemenu" value="#{usuarioController.usuario.tipo}">
                        <f:selectItem itemLabel="Seleccione Uno     " itemValue="" />
                        <f:selectItem itemLabel="Administrador" itemValue="A" />
                        <f:selectItem itemLabel="Operario" itemValue="O" />
                    </p:selectOneMenu>
                    <p:commandButton value="Listar" actionListener="#{usuarioController.listar()}" update=":listatabla"/>
                    <p:commandButton value="Enviar" actionListener="#{usuarioController.guardar()}" update="formUsuario,:mensaje"/>
                </h:panelGrid>
            </p:panel>
        </h:form>   

        <h:form id="listatabla">
           
                <p:dataTable  value="#{usuarioController.lista}" var="ver" paginator="true" rows="5" reflow="true" style="margin-top:2px">
                    <f:facet name="header">
                        Listado de Usuarios
                    </f:facet>
                    <p:column headerText="Codigo">
                        <p:outputLabel value="#{ver.codigo}" />
                    </p:column>
                    <p:column headerText="Usuario">
                        <p:outputLabel value="#{ver.usuario}" />
                    </p:column> 
                    <p:column headerText="Clave">
                        <p:outputLabel value="#{ver.clave}" />
                    </p:column>
                    <p:column headerText="Tipo">
                        <p:outputLabel value="#{ver.tipo}" />
                    </p:column>
                    <p:column headerText="Estado">
                        <p:outputLabel value="#{ver.estado}" />
                    </p:column>

                    <p:column headerText="Modificar">
                        <p:commandButton value="Modificar" actionListener="#{usuarioController.leerId(ver)}" update=":dia" oncomplete="PF('w').show();" />
                    </p:column>
                    <p:column headerText="Eliminar">
                        <p:commandButton value="Eliminar" actionListener="#{usuarioController.eliminar(ver)}" immediate="true" update=":listatabla,:mensaje" />
                    </p:column>
                </p:dataTable>
        </h:form>

        <p:dialog id="dia" widgetVar="w" header="Datos">
            <h:form>
                <p:outputLabel value="Usuario"/>
                <p:inputText value="#{usuarioController.usuario.usuario}"/>
                <p:outputLabel value="Clave"/>
                <p:password value="#{usuarioController.usuario.clave}"/>
                <p:outputLabel for="onemenu" value="Tipo"/>
                <p:selectOneMenu id="onemenu" value="#{usuarioController.usuario.tipo}">
                    <f:selectItem itemLabel="Seleccione Uno     " itemValue="" />
                    <f:selectItem itemLabel="Administrador" itemValue="A" />
                    <f:selectItem itemLabel="Operario" itemValue="O" />
                </p:selectOneMenu>


                <p:commandButton value="Modificar" actionListener="#{usuario.modificar()}" oncomplete="PF('w').hide ();" update=":listatabla,:mensaje"/> 
                <p:commandButton value="Cancelar" oncomplete="PF('w').hide();" update=":listatabla" immediate="true"/>
            </h:form>
        </p:dialog>


    </h:body>
</html>
